Skip to Content
DeepForgeryDocs

API reference

The upcoming OpenAPI contract for DeepForgery Pro.

Reference in preparation. Operations and examples will be added with the public OpenAPI contract.

Download the OpenAPI draft

Submit an analysis

POST
/v1/pro/analyses

Authorization

apiKey
headerAuthorizationBearer <token>

Header Parameters

Idempotency-Key*string
Lengthlength <= 128

Response Body

Analysis accepted.

Get the analysis status

GET
/v1/pro/analyses/{analysis_id}

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

analysis_id*string
Formatuuid

Response Body

Current analysis status.

Get the analysis result

GET
/v1/pro/analyses/{analysis_id}/result

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

analysis_id*string
Formatuuid

Response Body

Analysis result.

Delete an analysis

DELETE
/v1/pro/analyses/{analysis_id}

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

analysis_id*string
Formatuuid

Response Body

Analysis deleted.